## mplayer-dmo 1.5.0+svn38423

=== debian/changelog ===
mplayer-dmo (4:1.5.0+svn38423-dmo2) unstable; urgency=medium

  * Rebuild with a fixed ffmpeg 6.0 source (patch is
    04_vorbis-nroken-in-mplayer.patch)

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Jun 2023 15:49:33 +0200

mplayer-dmo (4:1.5.0+svn38423-dmo1) unstable; urgency=medium

  * Git snapshot.
  * Build with ffmpeg 5.1.3 ogg is broken with ffmpeg 6.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Jun 2023 12:11:41 +0200

mplayer-dmo (4:1.5.0~20230303.svn38412-dmo2) unstable; urgency=medium

  * Remove not needed w32codecs from Suggests.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Jun 2023 09:52:07 +0200

mplayer-dmo (4:1.5.0~20230303.svn38412-dmo1) unstable; urgency=medium

  * Git snapshot.
  * Update included ffmpeg to 6.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 03 Mar 2023 09:23:19 +0100

mplayer-dmo (4:1.5.0~20221010.svn38405-dmo1) unstable; urgency=medium

  * Git snapshot.
  * Update included ffmpeg to 5.1.2

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 10 Oct 2022 11:42:52 +0200

mplayer-dmo (4:1.5-dmo7) unstable; urgency=medium

  * Update included ffmpeg to 5.1.1

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 02 Sep 2022 10:08:45 +0200

mplayer-dmo (4:1.5-dmo6) unstable; urgency=medium

  * Update included ffmpeg to 5.1

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 25 Jul 2022 09:52:12 +0200

mplayer-dmo (4:1.5-dmo5) unstable; urgency=medium

  * Build with ffmpeg 5.0 [arm64 armel armhf]

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Jun 2022 17:57:59 +0200

mplayer-dmo (4:1.5-dmo4) unstable; urgency=medium

  * Update included ffmpeg to 5.0.1

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 14 Apr 2022 08:27:36 +0200

mplayer-dmo (4:1.5-dmo3) unstable; urgency=medium

  * Build with libdav1d6

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 19 Mar 2022 11:29:05 +0100

mplayer-dmo (4:1.5-dmo2) unstable; urgency=medium

  * Update mplayer version.
  * Fix powerpc build.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 02 Mar 2022 08:05:46 +0100

mplayer-dmo (4:1.5-dmo1) unstable; urgency=medium

  * New upstream release.
  * Remove liblivemedia-dev from Build-Depends.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 28 Feb 2022 09:09:18 +0100

mplayer-dmo (4:1.4.0~20210304.svn38299-dmo7) unstable; urgency=medium

  * Update included ffmpeg to 4.4.1 fixes the following issues :
    CVE-2020-20446, CVE-2020-20453, CVE-2020-22015, CVE-2020-22019,
    CVE-2020-22021, CVE-2020-22037, CVE-2021-33815, CVE-2021-38114,
    CVE-2021-38171, CVE-2021-38291

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 29 Dec 2021 01:37:30 +0100

mplayer-dmo (4:1.4.0~20210304.svn38299-dmo6) unstable; urgency=medium

  * Build with libvpx7.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 Oct 2021 14:29:50 +0200
