=== debian/watch ===
version=3

opts=dversionmangle=s/\+20140412\+svn37148// \
http://www7.mplayerhq.hu/MPlayer/releases/MPlayer-(.*)\.tar\.xz
