=== debian/changelog ===
mplayer-dmo (4:1.5.0+svn38448-dmo2~bpo11+6) bullseye-backports; urgency=medium

  * Update included ffmpeg to 6.1.4

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 23 Nov 2025 09:06:01 +0100

mplayer-dmo (4:1.5.0+svn38448-dmo2~bpo11+5) bullseye-backports; urgency=medium

  * debian/copyright update year to 2025

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 15 Aug 2025 17:59:53 +0200

mplayer-dmo (4:1.5.0+svn38448-dmo2~bpo11+4) bullseye-backports; urgency=medium

  * Update included ffmpeg to 6.1.3
    Fixes following vulnerabilities: CVE-2023-49501, CVE-2023-49502,
    CVE-2023-50007, CVE-2023-50008, CVE-2023-6602, CVE-2023-6604,
    CVE-2023-6605, CVE-2024-31578, CVE-2024-31582, CVE-2024-35367,
    CVE-2024-35368, CVE-2025-0518, CVE-2025-22919

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 15 Aug 2025 08:13:45 +0200

mplayer-dmo (4:1.5.0+svn38448-dmo2~bpo11+3) oldstable-backports; urgency=medium

  * Really build with libx264-165
  * Update included ffmpeg to 6.1.2: Fixes following vulnerabilities:
    CVE-2024-7055 and CVE-2024-36617

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 20 Apr 2025 17:51:04 +0200

mplayer-dmo (4:1.5.0+svn38448-dmo2~bpo11+2) oldstable-backports; urgency=medium

  * Build with libx264-165

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 20 Apr 2025 10:21:07 +0200

mplayer-dmo (4:1.5.0+svn38448-dmo2~bpo11+1) oldstable-backports; urgency=medium

  * Build for oldstable-backports

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 27 Mar 2024 10:17:24 +0100

mplayer-dmo (4:1.5.0+svn38448-dmo2) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Mar 2024 09:08:13 +0100

mplayer-dmo (4:1.5.0+svn38448-dmo1) unstable; urgency=medium

  * Git snapshot.
  * Build with ffmpeg 6.1.1

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 08 Jan 2024 03:03:40 +0100

mplayer-dmo (4:1.5.0+svn38423-dmo5) unstable; urgency=medium

  * Build with ffmpeg 6.0.1

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 10 Nov 2023 08:49:20 +0100

mplayer-dmo (4:1.5.0+svn38423-dmo4) unstable; urgency=medium

  * Build with libvpx8

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 06 Oct 2023 08:26:55 +0200

mplayer-dmo (4:1.5.0+svn38423-dmo3) unstable; urgency=medium

  * Build with libdav1d7

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 04 Oct 2023 10:05:51 +0200
