=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends-Indep: xsltproc, docbook-xml, docbook-xsl
 Build-Conflicts: libesd0-dev, libggiwmh0-dev, libggi2-dev, liboss4-salsa-dev, libopenjpeg-dev
 Build-Depends: debhelper-compat (= 13), libncurses5-dev, awk | gawk, libopus-dev, libavutil-dev,
- liblirc-dev, libvorbis-dev, libsdl-image1.2-dev, libsctp-dev [linux-any],
+ liblirc-dev, libvorbis-dev, libsctp-dev [linux-any], libsdl1.2-dev,
  libmad0-dev, libasound2-dev [linux-any], liblzo2-dev, libfaad-dev, libdca-dev,
  libxvmc-dev, libjpeg62-turbo-dev, libaudiofile-dev, libsmbclient-dev, libfribidi-dev,
  libxv-dev, libgif-dev, libaa1-dev, quilt, vstream-client-dev (>= 1.2.1.1),
@@ -20,20 +20,20 @@
  libfontconfig-dev, libaudio-dev, libmpcdec-dev, libvpx-dev (>= 1.4.0), libavformat-dev,
  libpulse-dev, libxxf86dga-dev, libjack-dev, ladspa-sdk, vstream-client-dev,
  libfaac-dev, libxinerama-dev, libtwolame-dev, libspeex-dev, libopenal-dev,
- yasm [i386 amd64 kfreebsd-i386 kfreebsd-amd64], libbluray-dev [linux-any],
+ nasm [i386 amd64 kfreebsd-i386 kfreebsd-amd64], libbluray-dev [linux-any],
  libenca-dev, liba52-0.7.4-dev, libgnutls28-dev, libegl1-mesa-dev, libilbc-dev [!powerpc],
  libdts-dev, libbz2-dev, libmng-dev, libopenjp2-7-dev, librtmp-dev, libmpg123-dev,
  libopencore-amrnb-dev, libvdpau-dev [amd64 i386], libdvdread-dev, libdvdnav-dev,
  libiso9660-dev (>= 0.83), libvorbisidec-dev, libgsm1-dev, libdav1d-dev,
- libavcodec-dev (>= 10:5~), libmpeg2-4-dev, libvdpau-dev, libswscale-dev,
- libaom-dev, libvpl-dev [amd64]
+ libavcodec-dev (>= 10:4~), libmpeg2-4-dev, libvdpau-dev, libswscale-dev,
+ libaom-dev,
 
 Package: mplayer
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: libdvdcss, mplayer-doc, pulseaudio, jackd, nvidia-vdpau-driver
-Conflicts: mplayer-386, mplayer-586, mplayer-k6, mplayer-custom, libconfhelper-perl, mplayer-gui
-Replaces: mplayer-386, mplayer-586, mplayer-k6, mplayer-custom, mplayer-nogui
+Depends: ${shlibs:Depends}, ${misc:Depends},
+Suggests: libdvdcss, mplayer-doc, pulseaudio, jackd, nvidia-vdpau-driver,
+Conflicts: mplayer-386, mplayer-586, mplayer-k6, mplayer-custom, libconfhelper-perl, mplayer-gui,
+Replaces: mplayer-386, mplayer-586, mplayer-k6, mplayer-custom, mplayer-nogui,
 Description: Ultimate Movie Player For Linux
  It plays most mpeg, avi and asf files, supported by many native and win32
  DLL codecs. You can watch VCD, DVD and even DivX movies too. The other
@@ -45,10 +45,10 @@
 
 Package: mencoder
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: libdvdcss, mplayer-doc, nvidia-vdpau-driver
-Conflicts: mencoder-k6, mencoder-386, mencoder-586, mencoder-custom
-Replaces: mencoder-k6, mencoder-386, mencoder-586, mencoder-custom, mplayer
+Depends: ${shlibs:Depends}, ${misc:Depends},
+Suggests: libdvdcss, mplayer-doc, nvidia-vdpau-driver,
+Conflicts: mencoder-k6, mencoder-386, mencoder-586, mencoder-custom,
+Replaces: mencoder-k6, mencoder-386, mencoder-586, mencoder-custom, mplayer,
 Description: MPlayer's Movie Encoder
  A simple movie encoder, designed to encode MPlayer-playable movies
  (AVI/ASF/OGG/DVD/VCD/VOB/MPG/MOV/VIV/FLI/RM/NUV/NET) to other
@@ -59,7 +59,7 @@
 Package: mplayer-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: Documentation for mplayer
  This package contains the documentation Chinese, English, French, German,
  Hungarian, Italian and Polish.
