=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 REVISION=1.5
 
 DEBIAN_VERSION=\#define VERSION \"$(REVISION)\"
-DEBIAN_TITLE=\#define MP_TITLE \"MPlayer $(REVISION) (C) 2000-2022 MPlayer Team\\\n\"
+DEBIAN_TITLE=\#define MP_TITLE \"MPlayer $(REVISION) (C) 2000-2025 MPlayer Team\\\n\"
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
@@ -76,9 +76,6 @@
 # Options common to all arm64 configurations
 CONFIG_ARM64_ALL=$(CONFIG_ARCH_INDEP) --disable-win32dll --disable-gui
 
-# Options common to all mipsel configurations
-CONFIG_MIPSEL_ALL=$(CONFIG_ARCH_INDEP) --disable-win32dll --disable-gui
-
 # Options common to all powerpc configurations
 CONFIG_PPC_ALL=$(CONFIG_ARCH_INDEP) --disable-gui --disable-win32dll
 
@@ -103,8 +100,6 @@
 
 CONFIGURE_ARM64=$(CONFIG_ARMHF_ALL) --disable-ffmpeg_a
 
-CONFIGURE_MIPSEL=$(CONFIG_MIPSEL_ALL) --disable-ffmpeg_a
-
 CONFIGURE_CUSTOM=$(CONFIG_I386_ALL)
 
 %:
@@ -113,8 +108,7 @@
 override_dh_auto_configure:
 	cp debian/$(CONTROL) debian/control
 
-	ln -s ffmpeg-6-0 ffmpeg
-	-mkdir ffmpeg/ffbuild
+	ln -s ffmpeg-6-1-4 ffmpeg
 
 ifneq (,$(findstring marillat,$(DEB_BUILD_OPTIONS)))
 ifeq "$(DEB_HOST_ARCH)" "amd64"
@@ -253,3 +247,7 @@
 
 	$(MAKE) -j $(NCPUS)
 
+	$(MAKE) install prefix=$(CURDIR)/debian/mplayer/usr \
+	CONFDIR=$(CURDIR)/debian/mplayer/etc/mplayer \
+	DATADIR=$(CURDIR)/debian/mplayer/usr/share/mplayer \
+	LIBDIR=$(CURDIR)/debian/mplayer/usr/lib \
