## mplayer-dmo 1.5.0+svn38542

=== debian/changelog ===
mplayer-dmo (4:1.5.0+svn38542-dmo0~bpo12+2) stable-backports; urgency=medium

  * Build with libx264-165

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 20 Mar 2025 16:50:23 +0100

mplayer-dmo (4:1.5.0+svn38542-dmo0~bpo12+1) stable-backports; urgency=medium

  * Upload to stable-backports

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 30 May 2024 15:18:08 +0200
