=== debian/rules ===
--- 
+++ 
@@ -15,10 +15,10 @@
 # Don't remove, otherwise mplayer/mencoder doesn't build.
 CFLAGS=
 
-REVISION=1.5
+REVISION="1.5 r38542"
 
 DEBIAN_VERSION=\#define VERSION \"$(REVISION)\"
-DEBIAN_TITLE=\#define MP_TITLE \"MPlayer $(REVISION) (C) 2000-2025 MPlayer Team\\\n\"
+DEBIAN_TITLE=\#define MP_TITLE \"MPlayer $(REVISION) (C) 2000-2024 MPlayer Team\\\n\"
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
@@ -41,7 +41,6 @@
 CONFIG_CONTROL=--enable-joystick
 CONFIG_AUDIO=--enable-libopencore_amrnb --enable-libopencore_amrwb \
 	--disable-openal --disable-decoder=amrnb
-CONFIG_XVMC=--enable-xvmc --with-xvmclib=XvMCW
 
 CONFIG_MISC=--language=all --enable-menu \
 	--enable-radio --enable-radio-capture --disable-sndio \
@@ -59,7 +58,7 @@
 
 # Options common to all architectures
 CONFIG_ARCH_INDEP=$(CONFIG_DIRS) $(CONFIG_MGA) $(CONFIG_CONTROL) \
-	$(CONFIG_AUDIO) $(CONFIG_MISC) $(CONFIG_XVMC) --disable-png --disable-directfb
+	$(CONFIG_AUDIO) $(CONFIG_MISC) --disable-png --disable-directfb
 
 # Options common to all amd64 configurations
 CONFIG_AMD64_ALL=$(CONFIG_ARCH_INDEP) $(CONFIG_3DFX) $(CONFIG_ZR)
@@ -75,6 +74,9 @@
 
 # Options common to all arm64 configurations
 CONFIG_ARM64_ALL=$(CONFIG_ARCH_INDEP) --disable-win32dll --disable-gui
+
+# Options common to all mipsel configurations
+CONFIG_MIPSEL_ALL=$(CONFIG_ARCH_INDEP) --disable-win32dll --disable-gui
 
 # Options common to all powerpc configurations
 CONFIG_PPC_ALL=$(CONFIG_ARCH_INDEP) --disable-gui --disable-win32dll
@@ -100,6 +102,8 @@
 
 CONFIGURE_ARM64=$(CONFIG_ARMHF_ALL) --disable-ffmpeg_a
 
+CONFIGURE_MIPSEL=$(CONFIG_MIPSEL_ALL) --disable-ffmpeg_a
+
 CONFIGURE_CUSTOM=$(CONFIG_I386_ALL)
 
 %:
@@ -108,7 +112,8 @@
 override_dh_auto_configure:
 	cp debian/$(CONTROL) debian/control
 
-	ln -s ffmpeg-6-1-4 ffmpeg
+	ln -s ffmpeg-6-0 ffmpeg
+	-mkdir ffmpeg/ffbuild
 
 ifneq (,$(findstring marillat,$(DEB_BUILD_OPTIONS)))
 ifeq "$(DEB_HOST_ARCH)" "amd64"
@@ -248,6 +253,3 @@
 	$(MAKE) -j $(NCPUS)
 
 	$(MAKE) install prefix=$(CURDIR)/debian/mplayer/usr \
-	CONFDIR=$(CURDIR)/debian/mplayer/etc/mplayer \
-	DATADIR=$(CURDIR)/debian/mplayer/usr/share/mplayer \
-	LIBDIR=$(CURDIR)/debian/mplayer/usr/lib \
